# $Revision: 1.46 $, $Date: 2002/11/16 19:50:03 $
Summary:	Libpcap provides promiscuous mode access to network interfaces
Summary(es):	libpcap ofrece acceso a modo promiscuo en interfaces de red
Summary(pl):	Libpcap pozwala na bezporedni dostp do interfejsw sieciowych
Summary(pt_BR):	A libpcap fornece acesso ao modo promscuo em interfaces de rede
Summary(ru):	      promiscuous-
Summary(uk):	    Ӧ  promiscuous-ͦ
Name:		libpcap
Version:	0.7.1
Release:	3
Epoch:		2
License:	GPL
Group:		Libraries
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-shared.patch
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libpcap0

%description
Libpcap is a system-independent interface for user-level packet
capture. Libpcap provides a portable framework for low-level network
monitoring. Applications include network statistics collection,
security monitoring, network debugging, etc. Libpcap has
system-independent API that is used by several applications, including
tcpdump and arpwatch.

%description -l es
libpcap es una interface independiente de sistema para captura de
paquetes en modo usuario. Ofrece un esquema porttil para el control
de la red en bajo nivel. Se utiliza para colecta de estadsticas de
red, Control de seguridad, depuracin de la red, etc. Tiene una API
independiente de sistema que se usa por varias aplicaciones, entre
ellas tcpdump y arpwatch.

%description -l pl
libpcap to niezaleny od systemu interfejs do przechwytywania pakietw
z poziomu uytkownika.

%description -l pt_BR
A libpcap  uma interface independente de sistema para captura de
pacotes em modo usurio. Fornece um esquema porttil para monitorao
da rede em baixo nvel.  utilizada para coleta de estatsticas de
rede, monitoramento de segurana, depurao da rede, etc. Tem uma API
independente de sistema que  usada por vrias aplicaes, entre elas
tcpdump e arpwatch.

%description -l ru
Libpcap -       
     .
     ,  
,    .. Libpcap  
API,   ,  tcpdump  arpwatch.

%description -l uk
Libpcap -      Ԧ  Ҧ
  ΦҦ Φ ֦. צ 
 ¦  ֦,   , צ
֦  .. Libpcap   API  դ
 ,   tcpdump, arpwatch  trafshow.

%package devel
Summary:	Header files and develpment documentation for libpcap
Summary(es):	Arquivos de cabealho e bibliotecas de desenvolvimento para libpcap
Summary(pl):	Pliki nagwkowe i dokumetacja do libpcap
Summary(pt_BR):	Bibliotecas e arquivos de incluso para a libpcap
Summary(ru):	     libpcap
Summary(uk):	  ¦̦ ͦ  libpcap
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libpcap0-devel

%description devel
Libpcap provides a portable framework for low-level network
monitoring. Libpcap can provide network statistics collection,
security monitoring and network debugging. Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

%description devel -l pl
Pliki nagwkowe i dokumetacja do libpcap.

%description devel -l pt_BR
Tcpdump imprime os cabealhos dos pacotes em uma interface de rede.
Ele  muito prtico para resolver problemas na rede e para operaes
de segurana.

%description devel -l ru
   ,    
libpcap.

%description devel -l uk
  ¦̦ ͦ, ȦΦ   
libpcap.

%package static
Summary:	Static libpcap library
Summary(es):	Biblioteca esttica usada no desenvolvimento de aplicativos com libpcap
Summary(pl):	Biblioteka statyczna libpcap
Summary(pt_BR):	Biblioteca esttica de desenvolvimento
Summary(ru):	  libpcap
Summary(uk):	 ¦̦ libpcap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Libpcap provides a portable framework for low-level network
monitoring. Libpcap can provide network statistics collection,
security monitoring and network debugging. Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package contains the static library used for development.

%description static -l pt_BR
Tcpdump imprime os cabealhos dos pacotes em uma interface de rede.
Ele  muito prtico para resolver problemas na rede e para operaes
de segurana.

%description static -l pl
Biblioteka statyczna libpcap.

%description static -l ru
 ,     libpcap.

%description static -l uk
 ¦̦, Ȧ    libpcap.

%prep
%setup  -q -n %{name}-%{version}
%patch0 -p1

%build
%{__autoconf}
%configure \
	--with-pcap=linux \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/net \
	$RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES CREDITS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_includedir}/net/*.h
%{_mandir}/man?/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libpcap.spec,v $
Revision 1.46  2002/11/16 19:50:03  kloczek
- release 3: merge translations from KSI.

Revision 1.45  2002/07/04 12:23:10  kloczek
- release 2: use new %doc.

Revision 1.44  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/04 11:51:22  misiek
- updated to 0.7.1

Revision 1.40  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/06 04:20:35  kloczek
- release 3: libpcap0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.38  2001/08/09 19:32:43  blues
- Release 2
- ac 2.5 ready
- some es and pt_BR translations

Revision 1.37  2001/02/07 21:49:41  misiek
0.6.2

Revision 1.36  2001/01/12 15:02:01  misiek
latest official release 0.6.1

Revision 1.35  2001/01/07 12:37:20  misiek
3.6 cvs prerelease. Changed versioning number scheme.

Revision 1.34  2000/12/17 12:19:43  misiek
updated to cvs20001217

Revision 1.33  2000/12/02 21:40:58  misiek
updated to cvs20001202

Revision 1.32  2000/11/03 09:12:24  kloczek
- use new rpm automation.

Revision 1.31  2000/11/02 09:27:24  misiek
updated to cvs version as official stable is broken

Revision 1.30  2000/08/27 21:02:14  kloczek
- release 2.

Revision 1.29  2000/08/26 00:05:20  mis
- removed /usr/include/net dir, it's in glibc-devel

Revision 1.28  2000/08/01 10:55:30  zagrodzki
- updated to 0.5.2

Revision 1.27  2000/07/14 13:30:40  wiget
0.5

Revision 1.26  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/23 21:25:52  kloczek
- release 21 (for allow upgrade from RH 6.2),
- spec adapterized.

Revision 1.23  2000/05/07 13:10:57  kloczek
- release 19.

Revision 1.22  2000/04/14 08:55:00  qboosh
- added flex and bison to BuildRequires:

Revision 1.21  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.19  2000/01/23 09:46:02  kloczek
- added missing %%date macro.

Revision 1.18  2000/01/23 09:39:44  kloczek
- fixed %changelog.

Revision 1.17  2000/01/23 09:36:47  kloczek
- release 18,
- updated Patch0 to ss991029,
- adapter(ized).

Revision 1.16  1999/11/29 20:26:15  wiget
- added %%defattr

Revision 1.15  1999/11/27 03:07:10  kloczek
- release 3,
- added patch for building and installing srared libpcap (based on Debian),
- added static and devel subpackages,
- added scanner and IFF_LOOPBACK patches (from Debian).

Revision 1.14  1999/08/19 11:50:28  kloczek
- release 2.

Revision 1.13  1999/08/12 11:19:04  misiek
includes moved to up directory

* Sat Jul 03 1999 Arkadiusz Mikiewicz <misiek@pld.org.pl>
  [0.4-1]
- removed unnecesary info about few patches
- replaced ipv6 patches with ANK patch.

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [0.4a6-6]
- removed man group from man pages
- fixed Summary(pl)
- minor changes

* Tue Feb 16 1999 Artur Frysiak <wiget@usa.net>
  [0.4a6-5d]
- initial release for PLD
